- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TWizard

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TWizard

Class TWizard.

TWizard splits a large form and presents the user with a series of smaller forms to complete. TWizard is analogous to the installation wizard commonly used to install software in Windows.

The smaller forms are called wizard steps (TWizardStep, which can be accessed via WizardSteps. In template, wizard steps can be added into a wizard using the following syntax,

       <com:TWizard>
          <com:TWizardStep Title="step 1">
              content in step 1, may contain other controls
          </com:TWizardStep>
          <com:TWizardStep Title="step 2">
              content in step 2, may contain other controls
          </com:TWizardStep>
       </com:TWizard>

Each wizard step can be one of the following types:

- Start : the first step in the wizard.
- Step : the internal steps in the wizard.
- Finish : the last step that allows user interaction.
- Complete : the step that shows a summary to user (no interaction is allowed).
- Auto : the step type is determined by wizard automatically.

At any time, only one step is visible to end-users, which can be obtained by ActiveStep. Its index in the step collection is given by ActiveStepIndex.

Wizard content can be customized in many ways.

The layout of a wizard consists of four parts: header, step content, navigation and side bar. Their content are affected by the following properties, respectively,

- header: HeaderText and HeaderTemplate. If both are present, the latter takes precedence.
- step: WizardSteps.
- navigation: StartNavigationTemplate, StepNavigationTemplate, FinishNavigationTemplate. Default templates will be used if above templates are not set.
- side bar: SideBarTemplate. A default template will be used if this template is not set. Its visibility is toggled by ShowSideBar.

The style of these wizard layout components can be customized via the following style properties,

- header: HeaderStyle.
- step: StepStyle.
- navigation: NavigationStyle, StartNextButtonStyle, StepNextButtonStyle, StepPreviousButtonStyle, FinishPreviousButtonStyle, FinishCompleteButtonStyle, CancelButtonStyle.
- side bar: SideBarStyle and SideBarButtonStyle.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
void | addedWizardStep ( TWizardStep $step) Adds a wizard step to the multiview.
void | addParsedObject ( mixed $object) Adds TWizardStep objects into step collection.
protected boolean | allowNavigationToPreviousStep ()
protected boolean | allowNavigationToStep ( integer $index)
protected void | applyControlProperties () Applies various properties to the components of wizard
protected void | applyHeaderProperties () Applies properties to the wizard header
protected void | applyNavigationProperties () Apply properties to various navigation panels.
protected void | applySideBarProperties () Applies properties to the wizard sidebar
protected void | applyStepContentProperties () Applies properties to the wizard step content
void | bubbleEvent ( mixed $sender, TEventParameter $param) Handles bubbled events.
void | createChildControls () Creates child controls within the wizard
protected void | createFinishNavigation () Creates finish navigation panel.
protected void | createHeader () Creates the wizard header.
protected void | createNavigation () Creates navigation panel.
protected void | createSideBar () Creates the wizard side bar
protected void | createStartNavigation () Creates start navigation panel.
protected void | createStepContent () Creates wizard step content.
protected void | createStepNavigation () Creates step navigation panel.
void | dataListItemCommand ( mixed $sender, TDataListCommandEventParameter $param) Event handler for sidebar datalist's OnItemCommand event.
void | dataListItemDataBound ( mixed $sender, TDataListItemEventParameter $param) Event handler for sidebar datalist's OnItemDataBound event.
TWizardStep | getActiveStep ()
integer | getActiveStepIndex ()
TWizardNavigationButtonStyle | getCancelButtonStyle ()
string | getCancelDestinationUrl ()
TWizardNavigationButtonStyle | getFinishCompleteButtonStyle ()
string | getFinishDestinationUrl ()
TWizardNavigationContainer | getFinishNavigation ()
ITemplate | getFinishNavigationTemplate ()
TWizardNavigationButtonStyle | getFinishPreviousButtonStyle ()
TPanel | getHeader ()
TPanelStyle | getHeaderStyle ()
ITemplate | getHeaderTemplate ()
string | getHeaderText ()
protected TStack | getHistory ()
TMultiView | getMultiView () Returns the multiview that holds the wizard steps.
TStyle | getNavigationButtonStyle ()
TPanelStyle | getNavigationStyle ()
protected void | getPreviousStepIndex ( boolean $popStack) Determines the index of the previous step based on history.
boolean | getShowCancelButton ()
boolean | getShowSideBar ()
TPanel | getSideBar ()
TStyle | getSideBarButtonStyle ()
TPanelStyle | getSideBarStyle ()
ITemplate | getSideBarTemplate ()
TWizardNavigationContainer | getStartNavigation ()
ITemplate | getStartNavigationTemplate ()
TWizardNavigationButtonStyle | getStartNextButtonStyle ()
TPanel | getStepContent ()
TWizardNavigationContainer | getStepNavigation ()
ITemplate | getStepNavigationTemplate ()
TWizardNavigationButtonStyle | getStepNextButtonStyle ()
TWizardNavigationButtonStyle | getStepPreviousButtonStyle ()
TPanelStyle | getStepStyle ()
protected TWizardStepType | getStepType ( TWizardStep $wizardStep) Determines the type of the specified wizard step.
protected string | getTagName ()
boolean | getUseDefaultLayout ()
TWizardStepCollection | getWizardSteps ()
void | onActiveStepChanged ( TEventParameter $param) Raises OnActiveStepChanged event.
void | onCancelButtonClick ( TEventParameter $param) Raises OnCancelButtonClick event.
void | onCompleteButtonClick ( TWizardNavigationEventParameter $param) Raises OnCompleteButtonClick event.
void | onInit ( TEventParameter $param) Creates the child controls of the wizard.
void | onNextButtonClick ( TWizardNavigationEventParameter $param) Raises OnNextButtonClick event.
void | onPreviousButtonClick ( TWizardNavigationEventParameter $param) Raises OnPreviousButtonClick event.
void | onSideBarButtonClick ( TWizardNavigationEventParameter $param) Raises OnSideBarButtonClick event.
void | removedWizardStep ( TWizardStep $step) Removes a wizard step from the multiview.
void | render ( THtmlWriter $writer) Renders the wizard.
protected void | requiresControlsRecreation () Indicates the wizard needs to recreate all child controls.
protected void | reset () Clears up everything within the wizard.
void | saveState () Saves the current active step index into history.
void | setActiveStep ( TWizardStep $step)
void | setActiveStepIndex ( integer $value)
void | setCancelDestinationUrl ( string $value)
void | setFinishDestinationUrl ( string $value)
void | setFinishNavigationTemplate ( ITemplate $value)
void | setHeaderTemplate ( ITemplate $value)
void | setHeaderText ( string $value)
void | setShowCancelButton ( boolean $value)
void | setShowSideBar ( boolean $value)
void | setSideBarTemplate ( ITemplate $value)
void | setStartNavigationTemplate ( ITemplate $value)
void | setStepNavigationTemplate ( ITemplate $value)
void | setUseDefaultLayout ( boolean $value)
void | wizardStepsChanged () Updates the sidebar datalist if any.

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | CMD_CANCEL |
string | CMD_COMPLETE |
string | CMD_MOVETO |
string | CMD_NEXT |
string | CMD_PREVIOUS | Navigation commands.
string | ID_SIDEBAR_BUTTON | Side bar button ID
string | ID_SIDEBAR_LIST | Side bar data list
string | ST_AUTO | Wizard step types.
string | ST_COMPLETE |
string | ST_FINISH |
string | ST_START |
string | ST_STEP |

Method Details

## addedWizardStep

public void addedWizardStep | (TWizardStep $step )

Adds a wizard step to the multiview.

This method should only be used by control developers. It is invoked when a step is added into the step collection of the wizard.

Input
TWizardStep | $step | wizard step to be added into multiview.
Output
Exception

## addParsedObject

public void addParsedObject | (mixed $object )

Adds TWizardStep objects into step collection.

This method overrides the parent implementation and is invoked when template is being instantiated.

Input
mixed | $object | object instantiated in template
Output
Exception

## allowNavigationToPreviousStep

protected boolean allowNavigationToPreviousStep | ()

Output
boolean | whether navigation to the previous step is allowed
Exception

## allowNavigationToStep

protected boolean allowNavigationToStep | (integer $index )

Input
integer | $index | index of the step
Output
boolean | whether navigation to the specified step is allowed
Exception

## applyControlProperties

protected void applyControlProperties | ()

Applies various properties to the components of wizard

Output
Exception

## applyHeaderProperties

protected void applyHeaderProperties | ()

Applies properties to the wizard header

Output
Exception

## applyNavigationProperties

protected void applyNavigationProperties | ()

Apply properties to various navigation panels.

Output
Exception

## applySideBarProperties

protected void applySideBarProperties | ()

Applies properties to the wizard sidebar

Output
Exception

## applyStepContentProperties

protected void applyStepContentProperties | ()

Applies properties to the wizard step content

Output
Exception

## bubbleEvent

public void bubbleEvent | (mixed $sender , TEventParameter $param )

Handles bubbled events.

This method mainly translate certain command events into wizard-specific events.

Input
mixed | $sender | sender of the original command event
TEventParameter | $param | event parameter
Output
Exception
throws | TInvalidDataValueException if a navigation command is associated with an invalid parameter

## createChildControls

public void createChildControls | ()

Creates child controls within the wizard

Output
Exception

## createFinishNavigation

protected void createFinishNavigation | ()

Creates finish navigation panel.

Output
Exception

## createHeader

protected void createHeader | ()

Creates the wizard header.

Output
Exception

## createNavigation

protected void createNavigation | ()

Creates navigation panel.

Output
Exception

## createSideBar

protected void createSideBar | ()

Creates the wizard side bar

Output
Exception

## createStartNavigation

protected void createStartNavigation | ()

Creates start navigation panel.

Output
Exception

## createStepContent

protected void createStepContent | ()

Creates wizard step content.

Output
Exception

## createStepNavigation

protected void createStepNavigation | ()

Creates step navigation panel.

Output
Exception

## dataListItemCommand

public void dataListItemCommand | (mixed $sender , TDataListCommandEventParameter $param )

Event handler for sidebar datalist's OnItemCommand event.

This method is used internally by wizard. It mainly sets the active step index according to the button clicked in the sidebar.

Input
mixed | $sender | sender of the event
TDataListCommandEventParameter | $param |
Output
Exception

## dataListItemDataBound

public void dataListItemDataBound | (mixed $sender , TDataListItemEventParameter $param )

Event handler for sidebar datalist's OnItemDataBound event.

This method is used internally by wizard. It mainly configures the buttons in the sidebar datalist.

Input
mixed | $sender | sender of the event
TDataListItemEventParameter | $param |
Output
Exception

## getActiveStep

public TWizardStep getActiveStep | ()

Output
TWizardStep | the currently active wizard step
Exception

## getActiveStepIndex

public integer getActiveStepIndex | ()

Output
integer | the zero-based index of the active wizard step
Exception

## getCancelButtonStyle

public TWizardNavigationButtonStyle getCancelButtonStyle | ()

Output
TWizardNavigationButtonStyle | the style for the cancel button
Exception

## getCancelDestinationUrl

public string getCancelDestinationUrl | ()

Output
string | the URL that the browser will be redirected to if the cancel button in the wizard is clicked. Defaults to ''.
Exception

## getFinishCompleteButtonStyle

public TWizardNavigationButtonStyle getFinishCompleteButtonStyle | ()

Output
TWizardNavigationButtonStyle | the style for the complete button in the finish wizard step.
Exception

## getFinishDestinationUrl

public string getFinishDestinationUrl | ()

Output
string | the URL that the browser will be redirected to if the wizard finishes. Defaults to ''.
Exception

## getFinishNavigation

public TWizardNavigationContainer getFinishNavigation | ()

Output
TWizardNavigationContainer | container of the finish navigation
Exception

## getFinishNavigationTemplate

public ITemplate getFinishNavigationTemplate | ()

Output
ITemplate | navigation template for the finish step. Defaults to null.
Exception

## getFinishPreviousButtonStyle

public TWizardNavigationButtonStyle getFinishPreviousButtonStyle | ()

Output
TWizardNavigationButtonStyle | the style for the previous button in the start wizard step.
Exception

## getHeader

public TPanel getHeader | ()

Output
TPanel | container of the wizard header
Exception

## getHeaderStyle

public TPanelStyle getHeaderStyle | ()

Output
TPanelStyle | the style for the header.
Exception

## getHeaderTemplate

public ITemplate getHeaderTemplate | ()

Output
ITemplate | template for wizard header. Defaults to null.
Exception

## getHeaderText

public string getHeaderText | ()

Output
string | header text. Defaults to ''.
Exception

## getHistory

protected TStack getHistory | ()

Output
TStack | history containing step indexes that were navigated before
Exception

## getMultiView

public TMultiView getMultiView | ()

Returns the multiview that holds the wizard steps.

This method should only be used by control developers.

Output
TMultiView | the multiview holding wizard steps
Exception

## getNavigationButtonStyle

public TStyle getNavigationButtonStyle | ()

Output
TStyle | the style common for all navigation buttons.
Exception

## getNavigationStyle

public TPanelStyle getNavigationStyle | ()

Output
TPanelStyle | the style for the navigation panel.
Exception

## getPreviousStepIndex

protected void getPreviousStepIndex | (boolean $popStack )

Determines the index of the previous step based on history.

Input
boolean | $popStack | whether the first item in the history stack should be popped up after calling this method.
Output
Exception

## getShowCancelButton

public boolean getShowCancelButton | ()

Output
boolean | whether to display a cancel button in each wizard step. Defaults to false.
Exception

## getShowSideBar

public boolean getShowSideBar | ()

Output
boolean | whether to display a side bar that contains links to wizard steps. Defaults to true.
Exception

## getSideBar

public TPanel getSideBar | ()

Output
TPanel | container of the wizard side bar
Exception

## getSideBarButtonStyle

public TStyle getSideBarButtonStyle | ()

Output
TStyle | the style for the buttons displayed in the side bar.
Exception

## getSideBarStyle

public TPanelStyle getSideBarStyle | ()

Output
TPanelStyle | the style for the side bar.
Exception

## getSideBarTemplate

public ITemplate getSideBarTemplate | ()

Output
ITemplate | template for the side bar. Defaults to null.
Exception

## getStartNavigation

public TWizardNavigationContainer getStartNavigation | ()

Output
TWizardNavigationContainer | container of the start navigation
Exception

## getStartNavigationTemplate

public ITemplate getStartNavigationTemplate | ()

Output
ITemplate | navigation template for the start step. Defaults to null.
Exception

## getStartNextButtonStyle

public TWizardNavigationButtonStyle getStartNextButtonStyle | ()

Output
TWizardNavigationButtonStyle | the style for the next button in the start wizard step.
Exception

## getStepContent

public TPanel getStepContent | ()

Output
TPanel | container of the wizard step content
Exception

## getStepNavigation

public TWizardNavigationContainer getStepNavigation | ()

Output
TWizardNavigationContainer | container of the step navigation
Exception

## getStepNavigationTemplate

public ITemplate getStepNavigationTemplate | ()

Output
ITemplate | navigation template for internal steps. Defaults to null.
Exception

## getStepNextButtonStyle

public TWizardNavigationButtonStyle getStepNextButtonStyle | ()

Output
TWizardNavigationButtonStyle | the style for the next button in each internal wizard step.
Exception

## getStepPreviousButtonStyle

public TWizardNavigationButtonStyle getStepPreviousButtonStyle | ()

Output
TWizardNavigationButtonStyle | the style for the previous button in the start wizard step.
Exception

## getStepStyle

public TPanelStyle getStepStyle | ()

Output
TPanelStyle | the style for each internal wizard step.
Exception

## getStepType

protected TWizardStepType getStepType | (TWizardStep $wizardStep )

Determines the type of the specified wizard step.

Input
TWizardStep | $wizardStep |
Output
TWizardStepType | type of the step
Exception

## getTagName

protected string getTagName | ()

Output
string | tag name for the wizard
Exception

## getUseDefaultLayout

public boolean getUseDefaultLayout | ()

Output
boolean | whether to use default layout to arrange side bar and the rest wizard components. Defaults to true.
Exception

## getWizardSteps

public TWizardStepCollection getWizardSteps | ()

Output
TWizardStepCollection | collection of wizard steps
Exception

## onActiveStepChanged

public void onActiveStepChanged | (TEventParameter $param )

Raises OnActiveStepChanged event.

This event is raised when the current visible step is changed in the wizard.

Input
TEventParameter | $param | event parameter
Output
Exception

## onCancelButtonClick

public void onCancelButtonClick | (TEventParameter $param )

Raises OnCancelButtonClick event.

This event is raised when a cancel navigation button is clicked in the current active step.

Input
TEventParameter | $param | event parameter
Output
Exception

## onCompleteButtonClick

public void onCompleteButtonClick | (TWizardNavigationEventParameter $param )

Raises OnCompleteButtonClick event.

This event is raised when a finish navigation button is clicked in the current active step.

Input
TWizardNavigationEventParameter | $param | event parameter
Output
Exception

## onInit

public void onInit | (TEventParameter $param )

Creates the child controls of the wizard.

This method overrides the parent implementation.

Input
TEventParameter | $param | event parameter
Output
Exception

## onNextButtonClick

public void onNextButtonClick | (TWizardNavigationEventParameter $param )

Raises OnNextButtonClick event.

This event is raised when a next navigation button is clicked in the current active step.

Input
TWizardNavigationEventParameter | $param | event parameter
Output
Exception

## onPreviousButtonClick

public void onPreviousButtonClick | (TWizardNavigationEventParameter $param )

Raises OnPreviousButtonClick event.

This event is raised when a previous navigation button is clicked in the current active step.

Input
TWizardNavigationEventParameter | $param | event parameter
Output
Exception

## onSideBarButtonClick

public void onSideBarButtonClick | (TWizardNavigationEventParameter $param )

Raises OnSideBarButtonClick event.

This event is raised when a link button in the side bar is clicked.

Input
TWizardNavigationEventParameter | $param | event parameter
Output
Exception

## removedWizardStep

public void removedWizardStep | (TWizardStep $step )

Removes a wizard step from the multiview.

This method should only be used by control developers. It is invoked when a step is removed from the step collection of the wizard.

Input
TWizardStep | $step | wizard step to be removed from multiview.
Output
Exception

## render

public void render | (THtmlWriter $writer )

Renders the wizard.

Input
THtmlWriter | $writer |
Output
Exception

## requiresControlsRecreation

protected void requiresControlsRecreation | ()

Indicates the wizard needs to recreate all child controls.

Output
Exception

## reset

protected void reset | ()

Clears up everything within the wizard.

Output
Exception

## saveState

public void saveState | ()

Saves the current active step index into history.

This method is invoked by the framework when the control state is being saved.

Output
Exception

## setActiveStep

public void setActiveStep | (TWizardStep $step )

Input
TWizardStep | $step | step to be activated
Output
Exception
throws | TInvalidOperationException if the step is not in the wizard step collection

## setActiveStepIndex

public void setActiveStepIndex | (integer $value )

Input
integer | $value | the zero-based index of the wizard step to be activated
Output
Exception

## setCancelDestinationUrl

public void setCancelDestinationUrl | (string $value )

Input
string | $value | the URL that the browser will be redirected to if the cancel button in the wizard is clicked.
Output
Exception

## setFinishDestinationUrl

public void setFinishDestinationUrl | (string $value )

Input
string | $value | the URL that the browser will be redirected to if the wizard finishes.
Output
Exception

## setFinishNavigationTemplate

public void setFinishNavigationTemplate | (ITemplate $value )

Input
ITemplate | $value | navigation template for the finish step.
Output
Exception

## setHeaderTemplate

public void setHeaderTemplate | (ITemplate $value )

Input
ITemplate | $value | template for wizard header.
Output
Exception

## setHeaderText

public void setHeaderText | (string $value )

Input
string | $value | header text.
Output
Exception

## setShowCancelButton

public void setShowCancelButton | (boolean $value )

Input
boolean | $value | whether to display a cancel button in each wizard step.
Output
Exception

## setShowSideBar

public void setShowSideBar | (boolean $value )

Input
boolean | $value | whether to display a side bar that contains links to wizard steps.
Output
Exception

## setSideBarTemplate

public void setSideBarTemplate | (ITemplate $value )

Input
ITemplate | $value | template for the side bar.
Output
Exception

## setStartNavigationTemplate

public void setStartNavigationTemplate | (ITemplate $value )

Input
ITemplate | $value | navigation template for the start step.
Output
Exception

## setStepNavigationTemplate

public void setStepNavigationTemplate | (ITemplate $value )

Input
ITemplate | $value | navigation template for internal steps.
Output
Exception

## setUseDefaultLayout

public void setUseDefaultLayout | (boolean $value )

Input
boolean | $value | whether to use default layout to arrange side bar and the rest wizard components. If true, an HTML table will be used which places the side bar in the left cell while the rest components in the right cell.
Output
Exception

## wizardStepsChanged

public void wizardStepsChanged | ()

Updates the sidebar datalist if any.

This method is invoked when any wizard step is changed.

Output
Exception

Constant Details

### CMD_CANCEL

#### Type:

string

#### Value:

'Cancel'

### CMD_COMPLETE

#### Type:

string

#### Value:

'Complete'

### CMD_MOVETO

#### Type:

string

#### Value:

'MoveTo'

### CMD_NEXT

#### Type:

string

#### Value:

'NextStep'

### CMD_PREVIOUS

Navigation commands.

#### Type:

string

#### Value:

'PreviousStep'

### ID_SIDEBAR_BUTTON

Side bar button ID

#### Type:

string

#### Value:

'SideBarButton'

### ID_SIDEBAR_LIST

Side bar data list

#### Type:

string

#### Value:

'SideBarList'

### ST_AUTO

Wizard step types.

#### Type:

string

#### Value:

'Auto'
Deprecated: deprecated since version 3.0.4 (use TWizardStepType constants instead)

### ST_COMPLETE

#### Type:

string

#### Value:

'Complete'

### ST_FINISH

#### Type:

string

#### Value:

'Finish'

### ST_START

#### Type:

string

#### Value:

'Start'

### ST_STEP

#### Type:

string

#### Value:

'Step'